View Issue Details

IDProjectCategoryView StatusLast Update
00310292.x IDE BugsRoom EditorPublic2019-06-25 14:24
ReporterScott DunbarAssigned ToAlan Savage 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target Version2.2.3Fixed in Version2.2.3 
Summary0031029: Room Editor: Renaming the room with an instance's creation code open will delete all the code for that instance
DescriptionIssue:
 Renaming the room with an instance's creation code open will delete all the code for that instance

Steps To Reproduce1. Create an object
2. Create an instance of that object in a room
3. Open that instance's creation code
4. Add some code
5. Rename the room via the resource tree
6. Observe that the instance code is gone
TagsIDE
2.x IDE Found In2.2.2.413
2.x Runtime Found In2.2.2.326
2.x IDE Verified In2.2.3.429
2.x Runtime Verified In2.2.3.338

Activities

Alan Savage

2019-06-13 14:29

Developer   ~0064170

fixed in master red

Dan

2019-06-18 17:18

Adminstrator   ~0064207

IDE 426+

Scott Dunbar

2019-06-25 14:24

Adminstrator   ~0064274

Verified fixed in 2.2.3.429